package org.gradoop.famer.linking.similarityMeasuring.dataStructures;

import org.gradoop.famer.linking.similarityMeasuring.methods.SimilarityComputation;
import org.gradoop.famer.linking.similarityMeasuring.methods.TFIDF;

public class TFIDFSimilarityComponent extends SimilarityComponent {
    /**
     * Creates an instance of TFIDFSimilarityComponent
     *
     * @param baseConfig The base configuration for the similarity component
     */
    public TFIDFSimilarityComponent(SimilarityComponentBaseConfig baseConfig) {
        super(baseConfig);
    }

    @Override
    public SimilarityComputation buildSimilarityComputation() throws Exception {
        return new TFIDF();
    }
}
